<template>
  <div class="">
    <div class="main">
      <a-row :gutter="24">
        <a-col :span="24">
          <h2 class="sub-title">Featured Charts</h2>
        </a-col>
        <a-col
          :xs="{ span: 24 }"
          :sm="{ span: 12 }"
          :md="{ span: 6 }"
          :lg="{ span: 6 }"
          v-for="(item, ind) in listChart"
          :key="ind"
        >
          <a-card class="card-chart category" hoverable @click="goDetail(item)">
            <div class="background">
              <div class="wrap-image square" slot="cover">
                <img alt="example" :src="item.img_thumb || item.img_banner" />
                <div class="background-slot wrap-btn-gl">
                  <span class="btn-play-gl">
                    <a-icon type="caret-right" />
                  </span>
                </div>
              </div>
              <a-card-meta class="card-chart_meta" :title="item.name">
                <template slot="description">
                  {{ item.description || item.content }}
                </template>
              </a-card-meta>
            </div>
          </a-card>
        </a-col>
      </a-row>
      <!-- <a-row :gutter="24">
        <a-col
          :xs="{ span: 24 }"
          :md="{ span: 12 }"
          class="footer-img">
          <img src="/static/Screenshot_7.png" alt="" class="mb-3">
        </a-col>
        <a-col
          :xs="{ span: 24 }"
          :md="{ span: 12 }"
          class="footer-img">
          <img src="/static/Screenshot_8.png" alt="" class="mb-3">
        </a-col>
      </a-row> -->
    </div>
  </div>
</template>

<style>
.card-chart .ant-card-body .ant-card-meta-title {
  color: #fff !important;
}
.card-chart .ant-card-body .ant-card-meta-description {
  color: rgb(201, 198, 198) !important;
  font-size: 11px;
}
.ant-card-body {
  padding: 10px 0px !important;
}
.ant-card-meta-description {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  white-space: normal;
  overflow: hidden;
}
</style>
<style scoped>
img {
  max-width: 100%;
}
.card-chart {
  width: 100%;
  border: unset;
  background-color: transparent;
  color: #fff;
  margin-bottom: 15px;
}
.ant-card-body {
  padding: unset;
  color: #fff !important;
}
h1 {
  color: blue;
}

.items {
  list-style: none;
  margin-left: -60px;
}

.item {
  text-align: left;
  width: 150px;
  padding: 20px 20px 20px 20px;
}

.item b {
  font-size: 1.2em;
}

.item span {
  color: #929292;
}

ul.items li {
  display: inline;
  float: left;
  margin-left: 20px;
  margin-top: 20px;
  background: rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  cursor: pointer;
  position: relative;
}

ul.items li:hover {
  background: rgba(133, 132, 132, 0.4);
}

.photo {
  width: 110px;
  height: 130px;
}

.main-photo {
  position: relative;
}

.photo img {
  position: absolute;
}

.play {
  float: right;
  position: absolute;
  right: 0;
  bottom: 0;
  width: 50px;
  height: 50px;
}

.card-title .card-title_title {
  color: #fff;
  text-transform: capitalize;
  font-weight: 500;
  text-align: center;
}

.card-title .card-title_title a {
  font-size: 1rem;
  color: #fff;
  line-height: 351px;
}

.card-title .card-title_title a:hover {
  text-decoration: underline;
  color: #fff;
  line-height: 351px;
}
.background-slot {
  background-color: #1514146e;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  visibility: hidden;
}
.card-chart:hover img {
  opacity: 0.5;
}
.card-chart:hover .background-slot {
  visibility: visible;
  transition: 0.3s;
}
.background-slot .group-icon {
  font-size: 24px;
  text-align: center;
  width: 100%;
  vertical-align: middle;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
.background-slot .group-icon i {
  padding: 0 10px;
}
.group-icon .anticon-play-circle {
  font-size: 45px;
}
</style>

<script>
export default {
  data() {
    return {
      listChart: []
    };
  },
  watch: {
    "$store.state.app.listGenre": {
      handler(val) {
        this.listChart = val;
      },
      immediate: true
    }
  },
  methods: {
    goDetail(item) {
      this.$router.push(`/detail/${item.id}`);
    }
  }
};
</script>
